Summary:	A GIF to PNG converter
Name:		gif2png
Version:	2.5.11
Release:	1
License:	BSD
Group:		Applications/Multimedia
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libpng-devel >= 1.6.20-1
Requires:	libpng >= 1.6.20-1

%description
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

There exists a 'web2png' program in a separate package which is able
to convert entire directory hierarchies.


%package -n web2png
Summary:	A GIF to PNG converter for entire directory hierarchies
Group:		Applications/Multimedia
Requires:	%{name} >= %{version}
Requires:	python >= 2.6.2

%description -n web2png
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

The distribution also includes a Python script, web2png, that will
convert entire web hierarchies (images and HTML or PHP pages).


%prep
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%{_bindir}/gif2png
%{_mandir}/man?/gif2png.*
/usr/bin/gif2png


%files -n web2png
%defattr(-,root,system,-)
%{_bindir}/web2png
%{_mandir}/man?/web2png.*
/usr/bin/web2png


%changelog
* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 2.5.11-1
- updated to version 2.5.11

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 2.5.10-1
- updated to version 2.5.10

* Wed Jun 04 2014 Michael Perzl <michael@perzl.org> - 2.5.9-1
- updated to version 2.5.9

* Fri Mar 09 2012 Michael Perzl <michael@perzl.org> - 2.5.8-1
- updated to version 2.5.8

* Thu Mar 08 2012 Michael Perzl <michael@perzl.org> - 2.5.6-1
- updated to version 2.5.6

* Sun Jan 29 2012 Michael Perzl <michael@perzl.org> - 2.5.5-1
- updated to version 2.5.5

* Wed Nov 24 2010 Michael Perzl <michael@perzl.org> - 2.5.4-1
- updated to version 2.5.4

* Tue Nov 23 2010 Michael Perzl <michael@perzl.org> - 2.5.3-1
- first version for AIX5L v5.1 and higher
